summary.cycleRdata {cycleRtools} | R Documentation

## Summary method for cycleRdata class.

### Description

Relevant summary metrics for cycling data (method for class `"cycleRdata"`).

### Usage

    ## S3 method for class 'cycleRdata'
    summary(object, sRPE = attr(object, "sRPE"),
      CP = attr(object, "CP"), .smoothpwr = "power.smooth.W", ...)

### Arguments

`object` | object for which a summary is desired.
`sRPE` | optional; session Rating of Percieved Exertion (value between 1 and 10; Foster 1998).
`CP` | optional; Critical Power value (Watts).
`.smoothpwr` | character string; column name of smoothed power values. Used for xP metric.
`...` | further arguments passed to or from other methods.

### Value

a list object of class `"cyclesummary"`, which has an associated print method.

### References

Foster C. Monitoring training in athletes with reference to overtraining syndrome. Medicine & Science in Sports & Exercise 30: 1164-1168, 1998.

### Examples

    data(intervaldata)
    summary(intervaldata)

[Package cycleRtools version 1.1.1 Index]